/* variables */
:root {
	--font-family-1: "San Francisco", helvetica, arial, sans-serif;
	
	--font-size-base: 17px;
	--font-size-1: 48px;
	--font-size-2: 30px;
	--font-size-3: 17px;
	
	--main-gradient: linear-gradient(to top right, #fea309, #fe4787, #c057f5);
	--main-gradient-invert: linear-gradient(to top right, #c057f5, #fe4787, #fea309);
	--color-1: #020043;
	--color-2: #fea309;
	--color-3: #fe4787;
	--color-4: #c057f5;
	--color-5: #1d1d1f;
}

/* general */
html, body{
	padding: 0;
	margin: 0;
}
body{
	font-family: var(--font-family-1);
	font-size: var(--font-size-base);
	line-height: 1.2;
	color: var(--color-5);
}

h1{
	font-size: var(--font-size-1);
}
h2{
	font-size: var(--font-size-2);
}
a{
	text-decoration: none;
	color: var(--color-3);
}
*::selection{
	background: var(--color-3);
}

.module{
	width: calc(100% -40px);
	padding: 20px;
}
.inner{
	width: 90%;
	max-width: 940px;
	margin: 0 auto;
	position: relative;
	display: block;
}
.btn{
	background: var(--main-gradient);
	color: var(--color-1);
	color: #fff;
	padding: 12px 20px;
	border-radius: 5px;
	font-size: var(--font-size-base);
	transition: all 0.20s ease-in-out;
}
.btn:hover{
	padding: 12px 24px;
}

.service img.hideme,
.service img.hideme2,
.service img.hideme3{
	opacity: 0;
	margin-top: 50px;
}

/* header */
header{
	padding: 0px 20px;
	position: fixed;
	top: 0;
	left: 0;
	right: 0;
	background: var(--color-1);
	z-index: 1000;
}
#logo{
	float: left;
	margin-top: 6px;
}
#logo img{
	height: 32px;
	width: auto;
}
nav{
	float: right;
	margin-right: 10px;
}
nav ul{
	margin: 0;
}
nav ul li{
	list-style: none;
	display: inline-block;
	margin-left: 20px;
}
nav ul li a{
	text-decoration: none;
	color: #fff;
	padding: 12px 0;
	display: block;
}
#floating-btn{
	position: fixed;
	bottom: 32px;
	right: 32px;
	z-index: 500;
	display: none;
}
#floating-btn.visible{
	display: block;
}

/* home */
#welcome{
	background: var(--color-1);
	color: #fff;
	height: 610px;
	position: relative;
}
#welcome-content > *:first-child{
	margin-top: 0;
	margin-bottom: 19px;
}
#welcome-content p{
	margin-bottom: 58px;
}
#clients{
	height: 44px;
	position: absolute;
	bottom: 17px;
	left: 0; 
	right: 0; 
}
#clients .inner{
	overflow: hidden;
	height: 100%;
}
#clients .inner > div{
	height: 100%;
	width: 200%;
}
.client{
	background: no-repeat center center;
	background-size: contain;
	height: 100%;
	width: 6%;
	margin-right: 4%;
	float: left;
	transition: all 0.30s ease-in-out;
}

#services{
	background: #fff;
	overflow: hidden;
	width: calc(100% - 12px);
	padding: 6px;
}
.service{
	position: relative;
	background: #fbfbfb;
	margin: 6px;
	float: left;
	height: 440px;
	width: calc(33.333% - 12px);
	text-align: center;
	padding: var(--font-size-2) 0;
	z-index: 20;
}
.service a{
	color: var(--color-3);
}
.service img{
	height: 242px;
	width: auto;
	margin-top: 30px;
}

#cases{
	background: #fff;
	overflow: hidden;
	width: calc(100% - 12px);
	padding: 6px;
}
.case{
	position: relative;
	background: no-repeat center center;
	background-size: cover;
	margin: 6px;
	float: left;
	height: auto;
	width: calc(25% - 12px);
	text-align: center;
	padding: 40px 0 0 0;
	z-index: 20;	
}
.case > div{
	background: #fff;
	height: 200px;
	padding: 1px 20px;
	margin: 40px 30px;
}


#bottom{
	background: #fff;
	overflow: hidden;
	width: calc(100% - 12px);
	padding: 6px;
}
#bottom > div{
	position: relative;
	background: no-repeat center center;
	background-size: cover;
	margin: 6px;
	float: left;
	height: 400px;
	width: calc(50% - 12px);
	text-align: center;
	padding: 40px 0;
	z-index: 20;	
}
#bottom > div > div{
	max-width: 360px;
	margin: 0 auto;
}

/* Error */
#error{
	width: 90%;
	max-width: 520px;
	text-align: center;
	margin: 164px auto 120px auto;
	position: relative;
	display: block;
}

/* Page */
#page{
	text-align: center;
	padding: 104px 0 60px 0;
}

/* Hemsidor */
#offers{
	background: #fff;
	overflow: hidden;
	width: calc(100% - 12px);
	padding: 6px;
}
.offer{
	background: #fbfbfb;
	margin: 6px;
	float: left;
	height: 440px;
	width: calc(33.333% - 12px);
	text-align: center;
	padding: var(--font-size-2) 0;
}
.offer img{
	height: 140px;
	margin-top: 44px;
}

@media only screen and (max-width: 760px) {
  .service{
	  width: calc(100% - 12px);
  }
}

@font-face {
  font-family: "San Francisco";
  font-weight: 400;
  src: url("SFProText-Regular.woff");
}
@font-face {
  font-family: "San Francisco";
  font-weight: 600;
  src: url("SFProText-Bold.woff");
}
@font-face {
  font-family: "San Francisco";
  font-weight: 900;
  src: url("SFProText-Heavy.woff");
}